pw_main_loop Class Reference

PipeWire main-loop interface. More...

## Public Member Functions

SPA_EXPORT struct pw_main_loop * | pw_main_loop_new (struct pw_properties *properties)
| Create a new new main loop. More...
SPA_EXPORT void | pw_main_loop_destroy (struct pw_main_loop *loop)
| Destroy a main loop. More...
SPA_EXPORT void | pw_main_loop_quit (struct pw_main_loop *loop)
| Stop a main loop. More...
SPA_EXPORT void | pw_main_loop_run (struct pw_main_loop *loop)
| Start a main loop. More...

## Detailed Description

PipeWire main-loop interface.

A main loop object

## Member Function Documentation

## pw_main_loop_destroy()

SPA_EXPORT void pw_main_loop_destroy | ( | struct pw_main_loop * | loop | ) |

Destroy a main loop.

Parameters

  loop | the main loop to destroy

References pw_log::pw_log_debug(), and pw_loop::pw_loop_destroy().

## pw_main_loop_new()

SPA_EXPORT struct pw_main_loop * pw_main_loop_new | ( | struct pw_properties * | properties | ) |

Create a new new main loop.

Returns
  a newly allocated pw_main_loop

References pw_log::pw_log_debug(), pw_loop_add_event, and pw_loop::pw_loop_new().

## pw_main_loop_quit()

SPA_EXPORT void pw_main_loop_quit | ( | struct pw_main_loop * | loop | ) |

Stop a main loop.

Parameters

  loop | a pw_main_loop to stop

The call to pw_main_loop_run() will return

References pw_log::pw_log_debug(), and pw_loop_signal_event.

## pw_main_loop_run()

SPA_EXPORT void pw_main_loop_run | ( | struct pw_main_loop * | loop | ) |

Start a main loop.

Parameters

  loop | the main loop to start

Start running loop. This function blocks until pw_main_loop_quit() has been called

References pw_log::pw_log_debug(), pw_loop_enter, pw_loop_iterate, and pw_loop_leave.

The documentation for this class was generated from the following files:

- main-loop.h
- main-loop.c